Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.definition
Class MixinDefinition

    java.lang.Object
      org.codehaus.aspectwerkz.definition.MixinDefinition

    public class MixinDefinition

extends Object

Definition for the mixin construct.

Author:
  Jonas Bonr

Constructor Summary
`MixinDefinition(ClassInfo mixinClass, DeploymentModel deploymentModel, boolean isTransient, SystemDefinition systemDef)` Construct a new definition for mixin.

Method Summary
`void` | `addExpressionInfo(ExpressionInfo expression)` Adds a new expression info.
`void` | `addExpressionInfos(ExpressionInfo[] expressions)` Adds an array with new expression infos.
`void` | `addParameter(String name, String value)` Adds a new parameter to the mixin.
`String` | `getAttribute()` Returns the attribute.
`DeploymentModel` | `getDeploymentModel()` Returns the deployment model.
`ExpressionInfo[]` | `getExpressionInfos()` Returns the expressions.
`String` | `getFactoryClassName()` Returns the factory class name.
`List` | `getInterfaceClassNames()` Returns the class name of the interface.
`List` | `getMethodsToIntroduce()` Returns the methods to introduce.
`ClassInfo` | `getMixinImpl()` Returns the class info for the mixin impl.
`Map` | `getParameters()` Returns the parameters as a Map.
`SystemDefinition` | `getSystemDefinition()` Returns the system definition.
`boolean` | `isTransient()` Checks if the mixin is transient.
`void` | `setAttribute(String attribute)` Sets the attribute.
`void` | `setDeploymentModel(DeploymentModel deploymentModel)` Sets the deployment model.
`void` | `setFactoryClassName(String factoryClassName)` Sets the factory class name.
`void` | `setTransient(boolean isTransient)` Sets the mixin as transient.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MixinDefinition

    public MixinDefinition(ClassInfo mixinClass,
                           DeploymentModel deploymentModel,
                           boolean isTransient,
                           SystemDefinition systemDef)

  Construct a new definition for mixin.

  Parameters:
    `mixinClass` - the mixin class
    `deploymentModel` - mixin deployment model
    `isTransient` - transient flag
    `systemDef` - the system definition

Method Detail

### setFactoryClassName

    public void setFactoryClassName(String factoryClassName)

  Sets the factory class name.

  Parameters:
    `factoryClassName` -

### getFactoryClassName

    public String getFactoryClassName()

  Returns the factory class name.

  Returns:

### getMethodsToIntroduce

    public List getMethodsToIntroduce()

  Returns the methods to introduce.

  Returns:
    the methods to introduce

### getDeploymentModel

    public DeploymentModel getDeploymentModel()

  Returns the deployment model.

  Returns:
    the deployment model

### setDeploymentModel

    public void setDeploymentModel(DeploymentModel deploymentModel)

  Sets the deployment model.

  Parameters:
    `deploymentModel` -

### isTransient

    public boolean isTransient()

  Checks if the mixin is transient.

  Returns:

### setTransient

    public void setTransient(boolean isTransient)

  Sets the mixin as transient.

  Parameters:
    `isTransient` -

### getMixinImpl

    public ClassInfo getMixinImpl()

  Returns the class info for the mixin impl.

  Returns:
    the class info

### getExpressionInfos

    public ExpressionInfo[] getExpressionInfos()

  Returns the expressions.

  Returns:
    the expressions array

### getInterfaceClassNames

    public List getInterfaceClassNames()

  Returns the class name of the interface.

  Returns:
    the class name of the interface

### getAttribute

    public String getAttribute()

  Returns the attribute.

  Returns:
    the attribute

### setAttribute

    public void setAttribute(String attribute)

  Sets the attribute.

  Parameters:
    `attribute` - the attribute

### getSystemDefinition

    public SystemDefinition getSystemDefinition()

  Returns the system definition.

  Returns:
    the system definition

### addExpressionInfo

    public void addExpressionInfo(ExpressionInfo expression)

  Adds a new expression info.

  Parameters:
    `expression` - a new expression info

### addExpressionInfos

    public void addExpressionInfos(ExpressionInfo[] expressions)

  Adds an array with new expression infos.

  Parameters:
    `expressions` - an array with new expression infos

### addParameter

    public void addParameter(String name,
                             String value)

  Adds a new parameter to the mixin.

  Parameters:
    `name` - the name of the parameter
    `value` - the value for the parameter

### getParameters

    public Map getParameters()

  Returns the parameters as a Map.

  Returns:
    the parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.